Subject: Re: bug#28747: 26.0.60; Usage of "&rest body" in Edebug specs

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 Jan 2022 04:00:50 +0100

Stefan Monnier <[email-masked]> writes:

>> It's hard to grep for, but there's a usage in pp.el, at least, so it's
>> used outside of the edebug machinery.
>
> Yes, but it hardly qualifies for "of which we're not aware" ;-)

No, but if one weirdo's made use of the specs, then there's probably
more out there.

Your point about &optional also makes me lean towards not doing anything
here -- I mean, "&optional body" and "&rest body" are both likely in
edebug specs, and the confusion here more stems from `body' in itself
being nullable, I think?

So I dunno whether renaming &rest to &repeat is going to help people
that write debug specs in practice much.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no